<?php

namespace Database\Seeders;

use App\Models\CashAccount;
use App\Models\User;
use Illuminate\Database\Seeder;

class CashAccountSeeder extends Seeder
{
    public function run(): void
    {
        $user = User::query()->first();

        CashAccount::firstOrCreate(
            ['name' => 'Kas Toko'],
            [
                'created_by_id' => $user->id,
                'balance' => 0,
            ],
        );
    }
}
